<div class="flex justify-content-flex-end m-t-10 m-r-10">
  <i
    nz-icon
    nzType="sqtm-core-generic:settings"
    nzTheme="outline"
    nz-popover
    [nzPopoverContent]="settingsMenu"
    class="current-workspace-button action-icon-size"
  ></i>
</div>

<sqtm-core-grid class="sqtm-core-prevent-selection-in-grid"></sqtm-core-grid>

<ng-template #settingsMenu>
  <div class="flex-column">
    <span
      class="current-workspace-main-color sqtm-tree-configuration-title flex-row"
      >{{
        'sqtm-core.tree-picker.generic.configuration.truncate-too-long-names.title'
          | translate
      }}</span
    >
    <nz-radio-group
      [(ngModel)]="truncateNameValue"
      (ngModelChange)="changeEllipsisDirection()"
    >
      <div class="m-b-5">
        <label nz-radio nzValue="TO-THE-RIGHT">{{
          'sqtm-core.tree-picker.generic.configuration.truncate-too-long-names.to-the-right'
            | translate
        }}</label>
      </div>
      <label nz-radio nzValue="TO-THE-LEFT">{{
        'sqtm-core.tree-picker.generic.configuration.truncate-too-long-names.to-the-left'
          | translate
      }}</label>
    </nz-radio-group>
  </div>
</ng-template>
